Subject: [Webpush] Prefer: wait=0 for Receiving Push Message Receipts

From: Brian Raymor <[email-masked]>
Date: Thu, 9 Jun 2016 22:19:55 +0000

https://github.com/webpush-wg/webpush-protocol/issues/113

Idel has suggested the addition of the Prefer: wait=0 option to section 6.3. Receiving Push Message Receipts to allow application servers
to have the same option for immediately checking/receiving receipts as user agents have for immediately checking/receiving messages.

I'd appreciate broader review and comments about whether this is a useful feature.
 
The addition to 6.3. Receiving Push Message Receipts would be:

An application server can also request the contents of the receipt subscription resource immediately by including a Prefer header field [RFC7240]
with a "wait" preference set to "0". In response to this request, the push service MUST generate a server push for all receipts that have not yet been delivered.

A 204 (No Content) status code with no associated server pushes indicates that no new receipts are presently available.

---

From: Idel Pivnitskiy <[email-masked]>
Date: Fri, 10 Jun 2016 21:58:35 +0300

Thanks Brian,

Yes, as a design of receiving push messages and push message receipt is the
similar and they are both use server pushes, will not be a problem to reuse
already implemented code base to allow this feature for an AS too.

Advantages:

   - More flexible logic for AS (it could choose how it will request
   receipts);
   - Possibility to reduce number of always opened connections to the PS,
   because if a UA may be unavailable most of the time we can not say the same
   about an AS. It's online most of the time, but can request push message
   delivery rarely.

Previously Kit also considered to add this feature:

https://github.com/webpush-wg/webpush-protocol/issues/18#issuecomment-97478621

Best regards,
Idel Pivnitskiy
--
Twitter: @idelpivnitskiy <https://twitter.com/idelpivnitskiy>
GitHub: @idelpivnitskiy <https://github.com/idelpivnitskiy>

On Fri, Jun 10, 2016 at 1:19 AM, Brian Raymor <[email-masked]>
wrote:

> Idel has suggested the addition of the Prefer: wait=0 option to section
> 6.3. Receiving Push Message Receipts to allow application servers
> to have the same option for immediately checking/receiving receipts as
> user agents have for immediately checking/receiving messages.
>
> An application server can also request the contents of the receipt
> subscription resource immediately by including a Prefer header field
> [RFC7240]
> with a "wait" preference set to "0". In response to this request, the push
> service MUST generate a server push for all receipts that have not yet been
> delivered.
>
> A 204 (No Content) status code with no associated server pushes indicates
> that no new receipts are presently available.
>
>
>
>
> _______________________________________________
> Webpush mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/webpush
>

---

From: Brian Raymor <[email-masked]>
Date: Sat, 11 Jun 2016 02:14:16 +0000

I’m not hearing broad support to add this feature during WGLC.

Closed https://github.com/webpush-wg/webpush-protocol/issues/113

From: Webpush [mailto:[email-masked]] On Behalf Of Idel Pivnitskiy
Sent: Friday, June 10, 2016 11:59 AM
To: [email-masked]
Subject: Re: [Webpush] Prefer: wait=0 for Receiving Push Message Receipts

Thanks Brian,

Yes, as a design of receiving push messages and push message receipt is the similar and they are both use server pushes, will not be a problem to reuse already implemented code base to allow this feature for an AS too.

Advantages:
• More flexible logic for AS (it could choose how it will request receipts);
• Possibility to reduce number of always opened connections to the PS, because if a UA may be unavailable most of the time we can not say the same about an AS. It's online most of the time, but can request push message delivery rarely.
Previously Kit also considered to add this feature:

Best regards,
Idel Pivnitskiy
--
Twitter: https://twitter.com/idelpivnitskiy
GitHub: https://github.com/idelpivnitskiy

On Fri, Jun 10, 2016 at 1:19 AM, Brian Raymor <mailto:[email-masked]> wrote:

mailto:[email-masked]